{
  CBSuite - Components

  Copyright (c), 1996, Calitz Bros.   All rights reserved
}

unit CBSuite;


interface

uses
  Classes,
  DsgnIntf,
  Dialogs,
  SysUtils,

  PrnWin,
  DBPrnWin,
  VRuler,
  HRuler,
  Totals,
  PrnGridR,
  Prnfile,
  PrMemo,
  FileRead,
  cb_grid,
  CB_Types,
  CB_Gdi,
  cb_lab,
  CB_MFunc,
  FuncsDb,
  PrintWiz,
  cb_grfun,
  cb_dbgr,
  cb_graph,
  AddIt,
  cbband,
  cbreport,
  cb_calc,
  cbSystem,
  cbdetban,
  cbsubdet,
  CBLabel,
  CBRich,
  CBRchCon,
  ChartFXE,
  CBAbout;




procedure Register;

implementation

{$R PRINTIT.DCR}
{$R REPORTIT.DCR}
{$R GRAPHIT.DCR}
{$R BANDIT.DCR}


  procedure Register;

  begin
    RegisterComponents('CBSuite',[TDBPrintWin, TPrintWin, THRuler, TVRuler,
     TShowTotal]);
    RegisterComponents('CBSuite',[TPrintGridReport,TPrintFile,
     TPrintMemo]);
    RegisterComponents('CBSuite',[TCB_SortGrid]);
    RegisterComponents('CBSuite',[TCB_Graph, TCB_DBGraph, TCB_Label]);
    RegisterComponents('CBSuite',[TCBReport, TCBBand,TCBDetailBand, TCBSubDetBand,
      TCBLabelBand, TCBCalc, TCBSystem]);
    RegisterComponents('CB3Party',[TChartFXEnh, TRichEditE,
        TCBRichContinue]);

    RegisterComponentEditor(TPrintWin, TCBEditor);
    RegisterComponentEditor(TPrintGridReport, TCBEditor);
    RegisterComponentEditor(TCBReport, TCBRepEditor);

  end;


end.
